<?php
session_start();
$jahrgang = $_SESSION["jahrgang"];
require_once("config.inc.php");


$db = dbconnect();
//mitgegebene Parameter einlesen:
if (isset($_GET['status_param'])) {  //welchen Status
	$status_param = $_GET['status_param'];
}

if (isset($_GET['uid'])) {  //welcher Datensatz
	$uid = $_GET['uid'];
}

//Anzeige des Buttons entsprechend grün oder rot
if ($status_param == "Y") {
	$img_src = "./templates/modern/images/hakengruen.png";	
	$param_opp = "N"; //Gegenteil für Linkaufbau
    $datum = date("Y-m-d H:i:s");
    $result_muschu = $db->query("SELECT count(*) Anz
                                   FROM dep_deputat_ermaessigung
                                  WHERE art LIKE '%Mutterschutz / Elternzeit%'
                                    AND jahr = '$jahrgang'
                                    AND imtuid = '$uid'
                               ");
    $row_muschu    = $result_muschu->fetch_array();
    if($row_muschu['Anz'] == 0){
      $sql1 = $db->query("INSERT INTO dep_deputat_ermaessigung ( imtuid
                                                               , jahr
                                                               , art
                                                               , sort_order
                                                               , created
                                                               )
                                  VALUES
                                                               ( '$uid'
                                                               , '$jahrgang'
                                                               , 'Mutterschutz / Elternzeit'
                                                               , 5
                                                               , '$datum'
                                                               )
                                ");
    }
} elseif ($status_param == "N") {
        $img_src = "./templates/modern/images/hakenrot.png";
        ## Nur löschbar, wenn LVS=0 ist, Also wenn der Admin nicht schon was eingetragen hat
        $result_muschu = $db->query("SELECT count(*) Anz
                                       FROM dep_deputat_ermaessigung
                                      WHERE art LIKE '%Mutterschutz / Elternzeit%'
                                        AND jahr = '$jahrgang'
                                        AND imtuid = '$uid'
                                        AND lvs > 0
                                    ");
        $row_muschu    = $result_muschu->fetch_array();
        if($row_muschu['Anz'] == 0){
	$param_opp = "Y";
	
        $db->query("DELETE FROM dep_deputat_ermaessigung
                     WHERE jahr='$jahrgang'
                       AND imtuid = '$uid'
                       AND art like '%Mutterschutz / Elternzeit%'
                       AND lvs=0
                  ");
        }else{
         $param_opp = "N";
        }
} else {
echo "F";
exit;
}

echo "<a href=btn_mutterschutz.php?uid=".$uid."&status_param=".$param_opp."><img border=0 src=".$img_src." height=20 title=\"".$param_title."\">";

echo "</body></html>";
?>
